<?xml version="1.0" encoding="UTF-8"?>
<rmml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="L:\collaborative-nir\program\Cscl3DWS\rmml\RMML.xsd">
	<include src="window.xml"/>
	<composition _name="CScheme" _class="CBaseWindow">
		<script>
			this.setTitle("Схема");
			var _border = 2;					// border size of window body
			var _topHeight = 25;			// height of title line of window (top.png)
			function showScheme(img)
			{
				if (typeof(img) == "string")
				{
					i = new Image();
					i.src = img;
					i.parent = this;
					this.resize(i._width + 2*_border,i._height + 2*_border);						
					i._x = _border;
					i._y = _topHeight;
					i._depth = -2;
					i._visible = true;
					this.moveTo(50,50);
					this.show();
				}
				else	
				{
						trace("Схема: " + img._name + " = " + img.src);
						this.resize(img._width + 2*_border,img._height + 2*_border);
						img.parent = this;
						img._x = _border;
						img._y = _topHeight;
						img._depth = -2;
						img._visible = true;
						this.moveTo(50,50);
						this.show();
				}
			}
		</script>
	</composition>
</rmml>
